# $Id$

ACPICA_BASEDIR?= ${.CURDIR}/..
BINDIR?= /usr/local/bin
CFLAGS+= -I${ACPICA_BASEDIR}/Subsystem/Include

SRCS+=	cmalloc.c cmclib.c cmcopy.c cmdebug.c cmdelete.c cmeval.c \
	cmglobal.c cminit.c cmobject.c cmutils.c cmxface.c
SRCS+=	dbcmds.c dbdisasm.c dbdisply.c dbexec.c dbfileio.c dbhistry.c \
	dbinput.c dbstats.c dbutils.c dbxface.c
SRCS+=	dsfield.c dsmethod.c dsmthdat.c dsobject.c dsopcode.c dsutils.c \
	dswexec.c dswload.c dswscope.c dswstate.c
SRCS+=	evevent.c evmisc.c evregion.c evrgnini.c evsci.c evxface.c \
	evxfevnt.c evxfregn.c
SRCS+=	hwacpi.c hwgpe.c hwregs.c hwsleep.c hwtimer.c
SRCS+=	amconfig.c amconvrt.c amcreate.c amdump.c amdyadic.c amfield.c \
	amfldio.c ammisc.c ammonad.c ammutex amnames.c amprep.c amregion.c \
	amresnte.c amresolv.c amresop.c amstore.c amstoren.c amstorob.c \
	amsystem.c amutils.c amxface.c
SRCS+=	nsaccess.c nsalloc.c nsdump.c nseval.c nsinit.c nsload.c nsnames.c \
	nsobject.c nssearch.c nsutils.c nswalk.c nsxfname.c nsxfobj.c
SRCS+=	psargs.c psfind.c psopcode.c psparse.c psscope.c pstree.c psutils.c \
	pswalk.c psxface.c
SRCS+=	rsaddr.c rscalc.c rscreate.c rsdump.c rsio.c rsirq.c rslist.c \
	rsmemory.c rsmisc.c rsutils.c rsxface.c
SRCS+=	tbget.c tbinstal.c tbutils.c tbxface.c tbxfroot.c tbconvrt.c
SRCS+=	osunixxf.c

.PATH:	${ACPICA_BASEDIR}/Subsystem/Common \
	${ACPICA_BASEDIR}/Subsystem/Debugger \
	${ACPICA_BASEDIR}/Subsystem/Dispatcher \
	${ACPICA_BASEDIR}/Subsystem/Events \
	${ACPICA_BASEDIR}/Subsystem/Hardware \
	${ACPICA_BASEDIR}/Subsystem/Include \
	${ACPICA_BASEDIR}/Subsystem/Interpreter \
	${ACPICA_BASEDIR}/Subsystem/Methods \
	${ACPICA_BASEDIR}/Subsystem/Namespace \
	${ACPICA_BASEDIR}/Subsystem/Parser \
	${ACPICA_BASEDIR}/Subsystem/Resources \
	${ACPICA_BASEDIR}/Subsystem/Tables \
	${ACPICA_BASEDIR}/AslCompiler \
	${ACPICA_BASEDIR}/Common
